Subject: bug#2059 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; Font selection broken on non-GTK/non-XFT build.)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 27 Jan 2009 20:55:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2059: 23.0.60; Font selection broken on non-GTK/non-XFT build.

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2059
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.60; Font selection broken on non-GTK/non-XFT build.
From: Chong Yidong <[email-masked]>
To: "Christopher Oliver" <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jan 2009 15:49:09 -0500

"Christopher Oliver" <[email-masked]> writes:

> Build cfg switches: --without-dbus --without-xft --without-freetype
> --with-x-toolkit=lucid --without-rsvg --without-tiff

OK, I see the problem now.  Patch applied, thanks.

Subject: 23.0.60; Font selection broken on non-GTK/non-XFT build.
From: "Christopher Oliver" <[email-masked]>
To: <[email-masked]>
Date: Sun, 25 Jan 2009 19:25:03 -0500

As an old school user, I tend to like to compile Emacs for small footprint, and prefer bitmap fonts.
So I compile with neither GTK nor XFT.  In pretest 23.0.60 under these conditions, the mouse menu
for font selection fails.  This bug lies in an incompatibility between menu-set-font (menu-bar.el),
which expects a string, and mouse-select-font (mouse.el) which yields a list containing a string.
The menu fed x-popup-menu in mouse-select-font has entries of the form (DESCRIPTION XFONT)
rather than (DESCRIPTION . XFONT), so the cdr of this is the wrong type for menu-set-font.
Thoughts?